> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.botbye.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.botbye.com/_mcp/server.

# update threshold

PUT {base_url}/api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id}
Content-Type: application/json

### PUT /api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id}

Updates block/challenge score thresholds for a single dimension, identified by `dimension_id`.

#### Request

- `base_url` (string): The base URL of the API.
- `account_id` (string): The unique identifier of the account.
- `project_id` (string): The unique identifier of the project.
- `dimension_id` (string): The unique identifier of the dimension to update.

#### Request Body

- `name` (string): The dimension name.
- `blockThreshold` (number): Score threshold for block decision.
- `challengeThreshold` (number): Score threshold for challenge decision.

#### Response

The response for this request is a JSON object with the following schema:

``` json
{}

 ```

Reference: https://api-docs.botbye.com/bot-bye-api/protection/dimension-thresholds/update-threshold

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id}:
    put:
      operationId: update-threshold
      summary: update threshold
      description: >-
        ### PUT
        /api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id}


        Updates block/challenge score thresholds for a single dimension,
        identified by `dimension_id`.


        #### Request


        - `base_url` (string): The base URL of the API.

        - `account_id` (string): The unique identifier of the account.

        - `project_id` (string): The unique identifier of the project.

        - `dimension_id` (string): The unique identifier of the dimension to
        update.


        #### Request Body


        - `name` (string): The dimension name.

        - `blockThreshold` (number): Score threshold for block decision.

        - `challengeThreshold` (number): Score threshold for challenge decision.


        #### Response


        The response for this request is a JSON object with the following
        schema:


        ``` json

        {}

         ```
      tags:
        - subpackage_dimensionThresholds
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: dimension_id
          in: path
          required: true
          schema:
            type: string
        - name: X-Api-Key
          in: header
          description: >-
            Project API token. Generate it in your BotBye account and send it in
            the `X-Api-Key` request header.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                blockThreshold:
                  type: number
                  format: double
                challengeThreshold:
                  type: number
                  format: double
              required:
                - name
                - blockThreshold
                - challengeThreshold
servers:
  - url: '{base_url}'
    description: '{base_url}'
components:
  securitySchemes:
    ProjectApiKey:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Project API token. Generate it in your BotBye account and send it in the
        `X-Api-Key` request header.

```

## Examples



**Request**

```json
{
  "name": "ato",
  "blockThreshold": 0.7,
  "challengeThreshold": 0.4
}
```

**SDK Code**

```python
import requests

url = "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id"

payload = {
    "name": "ato",
    "blockThreshold": 0.7,
    "challengeThreshold": 0.4
}
headers = {
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id';
const options = {
  method: 'PUT',
  headers: {'X-Api-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"ato","blockThreshold":0.7,"challengeThreshold":0.4}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id"

	payload := strings.NewReader("{\n  \"name\": \"ato\",\n  \"blockThreshold\": 0.7,\n  \"challengeThreshold\": 0.4\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"ato\",\n  \"blockThreshold\": 0.7,\n  \"challengeThreshold\": 0.4\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"ato\",\n  \"blockThreshold\": 0.7,\n  \"challengeThreshold\": 0.4\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id', [
  'body' => '{
  "name": "ato",
  "blockThreshold": 0.7,
  "challengeThreshold": 0.4
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"ato\",\n  \"blockThreshold\": 0.7,\n  \"challengeThreshold\": 0.4\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "ato",
  "blockThreshold": 0.7,
  "challengeThreshold": 0.4
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```